Bug 654314 - [RFE] blkid show wwid of devices.
Summary: [RFE] blkid show wwid of devices.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux-ng
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 14:58 UTC by Jóhann B. Guðmundsson
Modified: 2012-10-24 10:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-24 10:06:06 UTC
Type: ---


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2010-11-17 14:58:26 UTC
Description of problem:

It would be extremely awesome pony if blkid would show wwid of devices when run..

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Karel Zak 2011-02-23 10:59:13 UTC
The scsi_id(8) is able to read WWID. I'm not sure that we want to duplicate this functionality in libblkid.

IMHO the ideal solution would be to have WWID in /sys/block/<name>/device/ where we already have the vendor and model attributes.

Comment 2 Karel Zak 2012-10-24 10:06:06 UTC
The command lsblk(8) reads WWN from udev database. For example try

  lsblk -o +WWN

on Fedora 18. Closing.


Note You need to log in before you can comment on or make changes to this bug.